
Calamari - Bug #10186

salt ceph module crashes with client asok

11/25/2014 07:07 AM - Tyler Brekke

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Support Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

In the case where there is a client admin socket in /var/run/ceph salt will error since it does not match mon|osd|mds

https://github.com/ceph/calamari/blob/master/salt/srv/salt/_modules/ceph.py#L513

History

#1 - 12/02/2014 10:56 AM - Christina Meno

- Status changed from New to Resolved

#2 - 12/02/2014 10:57 AM - Christina Meno

fixed in 3585cce7ad60adc5ae92decc31f3e0e8d5b9ce4b
